<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="ce4f6ba5187d6264" weblate-flags="safe-html, strict-same">
        <source>= Accessing Deeply Nested Elements In order to allow conveniently retrieving and changing deeply nested elements of &lt;&lt;ref_value&gt;&gt; objects the library implements https://datatracker.ietf.org/doc/html/rfc6901[RFC 6901 (JSON Pointer)]:</source>
        <target state="translated">= 访问深层嵌套元素 为了便于便捷地获取和修改 &amp;lt;&lt;ref_value&gt;&amp;gt; 对象中深层嵌套的元素，该库实现了 https://datatracker.ietf.org/doc/html/rfc6901[RFC 6901 (JSON Pointer)]:&lt;/ref_value&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">11</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b47deb6ab032da28" weblate-flags="safe-html, strict-same">
        <source>This is particularly useful when throwing exceptions is undesirable. For example, compare</source>
        <target state="translated">这在不希望抛出异常的场景中尤为有用。例如，对比以下两种方式：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5f4f3ab846e86709" weblate-flags="safe-html, strict-same">
        <source>with</source>
        <target state="translated">与</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b61d3f7f7130adb7" weblate-flags="safe-html, strict-same">
        <source>The library also allows changing and adding deeply nested elements. The function &lt;&lt;ref_value_set_at_pointer&gt;&gt; traverses the value similarly to &lt;&lt;ref_value_at_pointer&gt;&gt;, but additionally, it can create missing elements in certain cases:</source>
        <target state="translated">该库还支持修改和添加深层嵌套的元素。函数 &amp;lt;&lt;ref_value_set_at_pointer&gt;&amp;gt; 以与 &amp;lt;&lt;ref_value_at_pointer&gt;&amp;gt; 类似的方式遍历值，但在某些情况下还能创建缺失的元素：&lt;/ref_value_at_pointer&gt;&lt;/ref_value_set_at_pointer&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="39a2a66b1828414b" weblate-flags="safe-html, strict-same">
        <source>The specific behavior is controlled by an optional parameter of type &lt;&lt;ref_set_pointer_options&gt;&gt;. For example, here's the same example with a different option:</source>
        <target state="translated">具体行为由一个类型为 &amp;lt;&lt;ref_set_pointer_options&gt;&amp;gt; 的可选参数控制。例如，以下是使用不同选项的相同示例：&lt;/ref_set_pointer_options&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">46</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
